
D4Science Infrastructure - Task #939

Support # 714 (Closed): RedMine authentication with email address (as well as username)

Redmine switch the login with user email address instead of username

Oct 09, 2015 09:40 AM - Massimiliano Assante

Status: Closed Start date: Oct 09, 2015

Priority: Urgent Due date: Oct 13, 2015

Assignee: Andrea Dell'Amico % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: Redmine management   

Infrastructure: Production   

Description

Also by changing the label (current is Login to "Email address" in the Redmine login form. Additionally a page header on top of the

login form would be beneficial, sth like:

"Users of D4Science Gateways (iMarine, D4Science.org, DESCRAMBLE, and EGIP) can use their gateway credentials to login

(email address plus gateway password)"

The change should be applied into the dev instance of Redmine http://redmine-d.d4science.org/

The ticket is assigned to Andrea Dell'Amico, however since this is quite an urgent matter if Andrea cannot work on this soon (today or

Monday) then we need to assign this to another person.

History

#1 - Oct 09, 2015 07:44 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 10

The change impacts a lot of application files:

app/views/account/login.html.erb is the login page template.

The Login text is served by the field_login label that's spread around various locale files, In a lot of languages, under config/locales.

It seems to me that a clean way to modify that page and preserve the modifications between software upgrades does not exist. I don't want to give up

the possibility to upgrade the application (it's time to do that, btw), so we'll have to manually adjust the template after each upgrade.

The faster solution is to do not use the field_login label inside app/views/account/login.html.erb but insert the text string losing the localization for that

field. Is it acceptable?

#2 - Oct 12, 2015 10:26 AM - Massimiliano Assante

- File Screen Shot 2015-10-12 at 10.25.35.png added

Yes it is, ideally the page should look similar to the attached screenshot. Note that Lost password link was removed.

#3 - Oct 12, 2015 11:40 AM - Massimiliano Assante

here's the HTML to add: 

<div style="border: 1px solid orange;">

<div style="font-size: 23px; color: #777;  text-align: center; padding: 5px;">

Users of D4Science Gateways (iMarine, D4Science.org, DESCRAMBLE, etc.) can use their gateway credentials to lo

gin.

</div>

<div style="padding:30px 10px 5px; text-align: right; font-size: 9px;">Please note: if you forgot your passwor

d please use the forgot password utility on your D4Science Gateway</div>

</div>

#4 - Oct 12, 2015 11:48 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 10 to 90
http://redmine-d.d4science.org/
https://redmine.dev.d4science.org/users/37


I'm attaching the diff file. We'll need to reapply it after every upgrade of the redmine code. You can check the result here: 

http://redmine-d.d4science.org/login

#5 - Oct 12, 2015 11:49 AM - Andrea Dell'Amico

- File redmine-login.html.erb.diff added

#6 - Oct 12, 2015 11:59 AM - Massimiliano Assante

Very good, I think we're ready to apply the switch in Redmine Production.

The switch must be applied for users authenticating against the new LDAP Server (Liferay LDAP Server). And I think would beneficial to apply it also

for users authenticating against the "Previous" LDAP. 

We can schedule the switch tonight after 6PM if Andrea is available and post a message on the VRE Feeds (Parthenos, BlueBRIDGE). I'll take care

of changing the configuration of the Liferay iFrames pointing at Redmine.

#7 - Oct 12, 2015 06:32 PM - Massimiliano Assante

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Infrastructure Production added

- Infrastructure deleted (Development)

We completed the switch in production and it works.

Files

Screen Shot 2015-10-12 at 10.25.35.png 75.8 KB Oct 12, 2015 Massimiliano Assante

redmine-login.html.erb.diff 1.34 KB Oct 12, 2015 Andrea Dell'Amico
